### Hierarchy

- Pagination

## Index

### Inputs

- disabled
- itemsPerPageOptions
- model
- pageInputDisabled
- pageSelectThreshold
- pagesUnknown
- showPageInput
- skeleton
- translations

### Outputs

- selectPage

### Constructors

- constructor

### Properties

- _pageOptions
- backwardText
- currentPageSelectId
- disabled
- experimental
- forwardText
- i18n
- itemsPerPageOptions
- itemsPerPageSelectId
- itemsPerPageText
- model
- ofLastPageText
- ofLastPagesText
- optionsListText
- pageInputDisabled
- pageSelectThreshold
- pageText
- pagesUnknown
- selectPage
- showPageInput
- skeleton
- totalItemText
- totalItemsText
- totalItemsUnknownText
- paginationCounter

### Accessors

- currentPage
- endItemIndex
- itemsPerPage
- lastPage
- nextPage
- pageOptions
- previousPage
- startItemIndex
- totalDataLength
- translations

## Constructors

### constructor

- new Pagination(i18n: I18n, experimental: ExperimentalService): Pagination

- - Defined in src/pagination/pagination.component.ts:341

  #### Parameters

  - ##### i18n: I18n

  - ##### experimental: ExperimentalService

  #### Returns Pagination

## Properties

### Protected _pageOptions

_pageOptions: any[] = []

- Defined in src/pagination/pagination.component.ts:341

### backwardText

backwardText: Overridable = this.i18n.getOverridable("PAGINATION.BACKWARD")

- Defined in src/pagination/pagination.component.ts:332

### currentPageSelectId

currentPageSelectId: string = `pagination-select-current-page-${Pagination.paginationCounter}`

- Defined in src/pagination/pagination.component.ts:328

### disabled

@Input()
disabled: boolean = false

- Defined in src/pagination/pagination.component.ts:205

### Protected experimental

experimental: ExperimentalService

- Defined in src/pagination/pagination.component.ts:343

### forwardText

forwardText: Overridable = this.i18n.getOverridable("PAGINATION.FORWARD")

- Defined in src/pagination/pagination.component.ts:333

### Protected i18n

i18n: I18n

- Defined in src/pagination/pagination.component.ts:343

### itemsPerPageOptions

@Input()
itemsPerPageOptions: number[] = [10, 20, 30, 40, 50]

- Defined in src/pagination/pagination.component.ts:256

### itemsPerPageSelectId

itemsPerPageSelectId: string = `pagination-select-items-per-page-${Pagination.paginationCounter}`

- Defined in src/pagination/pagination.component.ts:327

### itemsPerPageText

itemsPerPageText: Overridable = this.i18n.getOverridable("PAGINATION.ITEMS_PER_PAGE")

- Defined in src/pagination/pagination.component.ts:330

### model

@Input()
model: PaginationModel

- Defined in src/pagination/pagination.component.ts:201

### ofLastPageText

ofLastPageText: Overridable = this.i18n.getOverridable("PAGINATION.OF_LAST_PAGE")

- Defined in src/pagination/pagination.component.ts:339

### ofLastPagesText

ofLastPagesText: Overridable = this.i18n.getOverridable("PAGINATION.OF_LAST_PAGES")

- Defined in src/pagination/pagination.component.ts:338

### optionsListText

optionsListText: Overridable = this.i18n.getOverridable("PAGINATION.OPEN_LIST_OF_OPTIONS")

- Defined in src/pagination/pagination.component.ts:331

### pageInputDisabled

@Input()
pageInputDisabled: boolean = false

- Defined in src/pagination/pagination.component.ts:209

### pageSelectThreshold

@Input()
pageSelectThreshold: number = 1000

- Defined in src/pagination/pagination.component.ts:218

### pageText

pageText: Overridable = this.i18n.getOverridable("PAGINATION.PAGE")

- Defined in src/pagination/pagination.component.ts:337

### pagesUnknown

@Input()
pagesUnknown: boolean = false

- Defined in src/pagination/pagination.component.ts:217

### selectPage

@Output()
selectPage: EventEmitter<number> = new EventEmitter<number>()

- Defined in src/pagination/pagination.component.ts:264

### showPageInput

@Input()
showPageInput: boolean = true

- Defined in src/pagination/pagination.component.ts:213

### skeleton

@Input()
skeleton: boolean = false

- Defined in src/pagination/pagination.component.ts:197

### totalItemText

totalItemText: Overridable = this.i18n.getOverridable("PAGINATION.TOTAL_ITEM")

- Defined in src/pagination/pagination.component.ts:335

### totalItemsText

totalItemsText: Overridable = this.i18n.getOverridable("PAGINATION.TOTAL_ITEMS")

- Defined in src/pagination/pagination.component.ts:334

### totalItemsUnknownText

totalItemsUnknownText: Overridable = this.i18n.getOverridable("PAGINATION.TOTAL_ITEMS_UNKNOWN")

- Defined in src/pagination/pagination.component.ts:336

### Static paginationCounter

paginationCounter: number = 0

- Defined in src/pagination/pagination.component.ts:192

## Accessors

### currentPage

currentPage:

- Defined in src/pagination/pagination.component.ts:274
- Defined in src/pagination/pagination.component.ts:277

### endItemIndex

endItemIndex:

- Defined in src/pagination/pagination.component.ts:299

### itemsPerPage

itemsPerPage:

- Defined in src/pagination/pagination.component.ts:266
- Defined in src/pagination/pagination.component.ts:269

### lastPage

lastPage:

- Defined in src/pagination/pagination.component.ts:290

### nextPage

nextPage:

- Defined in src/pagination/pagination.component.ts:315

### pageOptions

pageOptions:

- Defined in src/pagination/pagination.component.ts:320

### previousPage

previousPage:

- Defined in src/pagination/pagination.component.ts:308

### startItemIndex

startItemIndex:

- Defined in src/pagination/pagination.component.ts:295

### totalDataLength

totalDataLength:

- Defined in src/pagination/pagination.component.ts:284

### translations

@Input()
translations:

- Defined in src/pagination/pagination.component.ts:237

Generated using TypeDoc